# Generated from taketo-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name taketo

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 1%{?dist}
Summary: A tiny helper utility to make access to servers eaiser for different projects and environments
License: MIT
URL: http://github.com/v-yarotsky/taketo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.11
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(simplecov) >= 0.6
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(open4) >= 1.3
# BuildRequires: rubygem(open4) < 2
BuildArch: noarch

%description
Taketo is an utility to aid quick access to often used servers for
web-developers.
Taketo uses a config written in ruby using light DSL.
See http://github.com/v-yarotsky/taketo for additional instructions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/taketo
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/scripts
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/taketo.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.3.1-1
- Initial package
